Bug 1266028 - Packstack should use pymysql database driver since Liberty
Packstack should use pymysql database driver since Liberty
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
trunk
Unspecified Unspecified
high Severity high
: ---
: Liberty
Assigned To: Javier Peña
Shai Revivo
:
Depends On: 1266027 1266029
Blocks: 1266032
  Show dependency treegraph
 
Reported: 2015-09-24 06:49 EDT by Ihar Hrachyshka
Modified: 2016-06-17 09:33 EDT (History)
7 users (show)

See Also:
Fixed In Version: openstack-packstack-7.0.0-0.12.dev1699.g8f54936.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1266027
: 1266032 (view as bug list)
Environment:
Last Closed: 2016-06-17 09:33:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1499298 None None None Never
OpenStack gerrit 257866 None None None Never

  None (edit)
Description Ihar Hrachyshka 2015-09-24 06:49:36 EDT
+++ This bug was initially created as a clone of Bug #1266027 +++

As of Liberty, openstack gate switched to pymysql driver, so it's better to use it in all openstack installers too.

To switch to the new driver, database_connection string should get driver specifier as in:

database_connection = mysql+pymysql://...127.0.0.1/...
Comment 1 Javier Peña 2015-12-15 07:20:30 EST
Proposed https://review.openstack.org/257866 with a patch for Packstack.

This requires all patches in https://review.openstack.org/#/q/status:merged+branch:master+topic:PyMySQL-driver,n,z to be included as part of OPM to provide the required support.
Comment 2 Mike McCune 2016-03-28 18:48:26 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Javier Peña 2016-06-17 09:33:10 EDT
Packstack already provides pymysql support, closing.

Note You need to log in before you can comment on or make changes to this bug.